(deftemplate emergency (slot type_) (slot location))
(deftemplate firesquad (slot name) (slot location))
(deftemplate evacuated (slot building))

(defrule all-fires-being-handled 
	(forall (emergency (type_ fire) (location ?where))
				(firesquad (location ?where))
				(evacuated (building ?where)))
=>
	(printout t 
	 	"All burning buildings evacuated and " crlf 
		"have firefighters on location" crlf )
)
